#!/system/bin/sh

CFG80211="`lsmod | busybox grep ^"cfg80211" `"
MAC80211="`lsmod | busybox grep ^"mac80211" `"
RTL8192CU="`lsmod | busybox grep ^"8192cu" `"


case $1 in
  	load)
				insmod /system/lib/modules/`busybox uname -r`/cfg80211.ko
				insmod /system/lib/modules/`busybox uname -r`/mac80211.ko
				insmod /system/lib/modules/`busybox uname -r`/realtek/rtl8192cu/8192cu.ko
		;;

		unload)			
		  if [ -n "$RTL8192CU" ];then
				rmmod 8192cu.ko		
			fi	
		  if [ -n "$MAC80211" ];then
				rmmod mac80211.ko
			fi	
		  if [ -n "$CFG80211" ];then
				rmmod cfg80211.ko
			fi
		;;	
esac	